---
version: '0.3.3'
date: 'May 22 23'
pr: 71
---

## API Changes

- Changed the [ID spec](/extra/detailed#ids) to a 64-bit one.

### Oprish

- Removed the `/rate_limits` route and instead added a `rate_limits` query parameter to the [`get_instance_info`]
  route which includes the instance's rate limit info in the [`InstanceInfo`] payload.
- Slightly changed the structure of [`ErrorResponse`]s, now the data is flattened.
- Removed the `FILE_SIZE_RATE_LIMITED` HTTP error in favour of the `RATE_LIMITED` one.

### Pandemonium

- "Fixed" a bug where Pandemonium would hit a hard limit on the amount of clients.
- Added new `HELLO` and `RATE_LIMIT` [`ServerPayload`]s.
- Changed how gateway rate limiting works. Now you get warned with a `RATE_LIMIT` payload
  before getting disconnected.
- Made pandemonium a bit more resource-friendly when handling KeyDB connections.

### Effis

- Fixed a bug with files with names longer than 64 characters would cause Effis to panic.

## Hosting Changes

### CLI

- Added a `--next` flag to the deploy command.
- Added an `update` command which pulls the newest docker-compose and updates the
  microservice images.
- Include pre-built `.deb` and `.rpm` files for the CLI.
- Made it possible to configure the directory of your Eludris instance.
- Made the CLI support Windows builds.

### Docker

- Used debian repositories to install [`wait-for-it.sh`](https://github.com/vishnubob/wait-for-it)
  instead of copying it from the repository root.
- Added a [`docker-compose.next.yml`](https://github.com/eludris/eludris/blob/main/docker-compose.next.yml)
  file to make it easier to host development and bleeding edge instances.

## Development Changes

- Overhauled entire documentation infrastructure by introducing a custom `#[autodoc]`
  macro and a custom docs page (this one (wow)).
- Redid how HTTP errors are handled server-wise.
- Split the `Payload` enum into [`ClientPayload`] and [`ServerPayload`].
- The [`InstanceInfo`] struct now has a `from_conf` method to allow for cleaner code.
- Settled for one variant of [`InstanceInfo`] (without references).
- Isolate todel model logic into it's own module in [`todel/src/models/logic`](https://github.com/eludris/eludris/tree/main/todel/src/models/logic).
- Improved unit testing, added unit tests for more stuff and implemented integration testing.
- Improve Docker CI caching.
- Cleaned up a *lot* of code.
