---
version: '0.3'
date: 'Dec 1 22'
pr: 10
---

## API Changes

### Oprish API Changes

- Due to rate limits being a per instance configuration thing, a new [`/rate_limits`
  route](/404) has been added besides the already pre-existing
  response headers.
- Rate limit headers now also exist when you encounter a 429 response.
- The [`get_instance_info`] route now has a rate-limit.

### Pandemonium API Changes

- Changed the websocket CLOSE frame messages.
- The websocket connection now expects you to send a PING every 45 seconds as
  opposed to 20 seconds.
- Switch to OPCode payloads instead of `PING` and `PONG` frames, also switched to
  using a `MESSAGE_CREATE` OPCode for new messages, refer to the [Pandemonium docs](/reference/todel/Payload)
  for more information.

### Effis API Changes

Re-wrote the entirety of effis :D

Find out more in [Effis' documentation](/404)

## Hosting

A new `Eludris.toml` file has been added which allows you to customise your instance,
from per route rate limit settings to the maximum message content length, all from
the convenience of one TOML file, check out the docs page about [configuring
your instance](/docs/config) and the [`Eludris.toml` example in the github
repository](https://github.com/eludris/eludris/blob/main/Eludris.example.toml)

### Oprish Hosting Changes

- The `REDIS_URL` environment variable has been introduced as a direct way to
  supply the url of your Redis/KeyDB instance as opposed to `ROCKET_DATABASES`.
